Bug 444642 - virDomainBlockStats should produce stats for RHEL 4 FV & PV guests on RHEL 5.[2/3?] host
virDomainBlockStats should produce stats for RHEL 4 FV & PV guests on RHEL 5....
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Gurhan Ozen
:
Depends On: 250104 306931 476656
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 14:08 EDT by Richard W.M. Jones
Modified: 2013-11-03 20:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:22:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-04-29 14:08:49 EDT
At present, RHEL 4 fullvirt guests have no disk stats visible
in the RHEL 5 host.

RHEL 4 guests with PV drivers have the correct
/sys/devices/xen-backend/.../statistics/* files, but they always
contain zeroes.

Notes:
 (1) I'm not sure yet if these two things are the same issue or
     separate bugs - I may split this bug into two parts later.
 (2) This BZ may need kernel & libvirt (& hypervisor & PV driver??)
     sub-bugs in future in order to get all the work done.
Comment 1 Richard W.M. Jones 2008-05-01 11:14:24 EDT
Kernel part of this is covered by bug 250104.

Userspace (libvirt) part is covered by bug 306931.
Comment 2 Daniel Veillard 2008-05-26 09:05:37 EDT
Userspace (libvirt) part is included as part of the rebase on update 2,
this would still need QA (checking the device paths are correct in U3)
before marking this as fixed once the kernel part is done,

Daniel
Comment 4 RHEL Product and Program Management 2008-06-02 16:02:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Gurhan Ozen 2008-12-22 17:48:29 EST
# virsh domblkstat rhel4.7_x86_64_hvm_guest /dev/xvdb
/dev/xvdb rd_req 1
/dev/xvdb rd_bytes 4096
/dev/xvdb wr_req 0
/dev/xvdb wr_bytes 0
/dev/xvdb errs 0

# virsh domblkstat rhel4.7_x86_64_hvm_guest /dev/xvdf
/dev/xvdf rd_req 9
/dev/xvdf rd_bytes 75776
/dev/xvdf wr_req 2987
/dev/xvdf wr_bytes 50900992
/dev/xvdf errs 0

I am not sure if this was intentional or not but, this is working for rhel3 pv-on-hvm guests as well:

# virsh domblkstat rhel3.9_x86_64_hvm_guest /dev/xvda
/dev/xvda rd_req 1
/dev/xvda rd_bytes 4096
/dev/xvda wr_req 0
/dev/xvda wr_bytes 0
/dev/xvda errs 0

# virsh domblkstat rhel3.9_x86_64_hvm_guest /dev/xvdb
/dev/xvdb rd_req 2
/dev/xvdb rd_bytes 5120
/dev/xvdb wr_req 1141
/dev/xvdb wr_bytes 50630656
/dev/xvdb errs 0
Comment 11 errata-xmlrpc 2009-01-20 16:22:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0142.html

Note You need to log in before you can comment on or make changes to this bug.